org.apache.olingo.odata2.api.edm

## Interface EdmProperty

- All Superinterfaces:
    EdmAnnotatable, EdmElement, EdmMappable, EdmNamed, EdmTyped
  All Known Implementing Classes:
    EdmComplexPropertyImpl, EdmPropertyImpl, EdmPropertyRefImpl, EdmSimplePropertyImpl

      public interface EdmProperty
      extends EdmElement, EdmAnnotatable

  A CSDL Property element

  EdmProperty defines a simple type or a complex type.

  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmCustomizableFeedMappings` | `getCustomizableFeedMappings()` Get customizable feed mappings for this property
    `String` | `getMimeType()` Get the related mime type for the property
    `boolean` | `isSimple()` Get the info if the property is a simple property

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmElement

      `getFacets`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmTyped

      `getMultiplicity, getType`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getCustomizableFeedMappings

          EdmCustomizableFeedMappings getCustomizableFeedMappings()
                                                           throws EdmException

      Get customizable feed mappings for this property
      Returns:
        `EdmCustomizableFeedMappings`
      Throws:
        `EdmException`

    - #### getMimeType

          String getMimeType()
                      throws EdmException

      Get the related mime type for the property
      Returns:
        mime type as String
      Throws:
        `EdmException`

    - #### isSimple

          boolean isSimple()

      Get the info if the property is a simple property
      Returns:
        true, if it is a simple property

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.